@charset "UTF-8";
/*==============================================================================

	title

==============================================================================*/
/* 最初は非表示 */
.screen-section {
    opacity: 0;
    height: 0;
    overflow: hidden;
    transition: opacity 0.5s ease, height 0.5s ease;
}

.screen-section.active {
    opacity: 1;
    height: auto;
    overflow: visible;
}

/*デフォルトのサンクスメッセージを非表示*/
.wpcf7-response-output{
    display: none;
}

input.error, select.error, textarea.error {
    border: 2px solid red;
}



/*==============================================================================

	form

==============================================================================*/

.wpcf7-form-control-wrap {
    position: relative;
    display: block;
}
.wpcf7-form{
    text-transform: unset
}

/*================ イントロ ================*/
#form-wrap .form-intro{
    margin-bottom: 30px;
}
#form-wrap h2{
    font-size: 1.6rem;
    text-align: center;
}
#form-wrap .h2-sub{
    margin-top: 10px;
    font-size: 1.4rem;
    text-align: center;
}
#form-wrap .h2-sub span{
    color: var(--color-red);
}
@media (min-width: 769px) {
    #form-wrap .form-intro{
        margin-bottom: 100px;
    }
}
/*================ イントロ end ================*/


/*================ 項目名 ================*/
#form-wrap .form-item-label{
    font-size: 1.4rem;
    display: flex;
    flex-direction: column;
    gap: 5px 10px;
    margin-bottom: 5px;
}
#form-wrap .form-item-label .form-item-label-required{
    padding-left: calc(0.5em + 5px);
    position: relative;
}
#form-wrap .form-item-label .form-item-label-required::before{
    content: "";
    width: 0.5em;
    position: absolute;
    left: 0;
    top: 0.75em;
    aspect-ratio: 1 / 1;
    background-color: var(--color-red);
    border-radius: 100%;
}
#form-wrap .form-item-label .form-item-label-sub{
    font-size: 80%;
}
@media (min-width: 769px) {
    #form-wrap .form-item-label{
        flex-direction: row;
        align-items: center;
    }
}
/*================ 項目名 end ================*/

/*================ カラムの設定 ================*/
#form-wrap .flex-wrap{
    display: flex;
    flex-direction: column;
    gap: 20px 0;
}
#form-wrap .flex-wrap.column-one{
    flex-direction: column;
}
#form-wrap .flex-wrap + .flex-wrap{
    margin-top: 20px;
}
@media (min-width: 769px) {
    #form-wrap .flex-wrap{
        flex-direction: row;
        gap: 20px;
    }
    #form-wrap .flex-wrap + .flex-wrap{
        margin-top: 40px;
    }
    #form-wrap .flex-wrap.column-one > div{
        width: 100%;

        &.w-half{width: calc(50% - 10px);}
    }
    #form-wrap .flex-wrap.column-two > div{
        width: calc((100% - 20px) / 2);
    }

}
/*================ カラムの設定 end ================*/

/*================ input,textarea ================*/
#form input[type="date"] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-color: white;
}
#form input:not([type="radio"]):not([type="button"]):not([type="checkbox"]),
#form select,
#form textarea{
    padding: 10px 15px;
    width: 100%;
    height: 45px;
    font-size: 1.4rem;
    letter-spacing: 0.15em;
    line-height: 1.5;
    background-color: #fff;
    border: 1px solid var(--color-font);
    border-radius: 5px;
    box-shadow: unset;
}
#form input:focus,
#form select:focus,
#form textarea:focus{
    outline: 1px solid var(--color-main)!important;
    border-color: transparent!important;
    box-shadow: none;
}
#form textarea{
    height: 240px;
}
#form input::placeholder,
#form textarea::placeholder {
    color: rgb(var(--color-font_rgb) / 0.5);
}
/*================ input,textarea end ================*/


/*================ radio ================*/
#form .wpcf7-radio{
    display: flex;
    gap: 10px;
}
#form .wpcf7-radio .wpcf7-list-item,
#form .wpcf7-radio .wpcf7-list-item label{
    margin: 0;
}
#form .wpcf7-radio .wpcf7-list-item input{
    display: none;
}
#form .wpcf7-radio .wpcf7-list-item .wpcf7-list-item-label {
    display: inline-block;
    padding: 8px 16px;
    border: 1px solid var(--color-accent);
    border-radius: 4px;
    cursor: pointer;
    user-select: none;
    transition: background-color 0.3s, border-color 0.3s;
}
#form .wpcf7-radio input[type="radio"]:checked + .wpcf7-list-item-label {
    background-color: var(--color-main);
    color: white;
}
#form .wpcf7-radio .wpcf7-list-item-label:hover {
    border-color: var(--color-main);
}
/*================ radio end ================*/


/*================ radio circle ================*/
#form .form-radio_circle .wpcf7-radio{
    flex-direction: column;

    & .wpcf7-list-item{
        margin: 0;

        & label{
            margin: 0;
        }

        & input{
            display: none;
        }
        
        & .wpcf7-list-item-label {
            display: inline-block;
            padding: 0 0 0 1.4em;
            position: relative;
            border: none;
            cursor: pointer;
            user-select: none;
            transition: background-color 0.3s, border-color 0.3s;
            font-size: 1.4rem;


            &::before,
            &::after{
                content: "";
                width: 1em;
                aspect-ratio: 1 / 1;
                position: absolute;
                left: 0;
                top: 0.6em;
                border-radius: 50%;
            }

            &::before {
                border: 1px solid var(--color-font);
            }

            &::after {
                background-color: var(--color-font);
                opacity: 0;
                transform: scale(0.5);
                transition: 500ms;
            }
        }
        
        & input[type="radio"]:checked + .wpcf7-list-item-label {
            background-color: transparent;
            color: var(--color-font);

            &::after {
                opacity: 1;
            }
        }
    }
}
@media (min-width: 769px) {
    #form .form-radio_circle .wpcf7-radio{
        flex-direction: row;
        gap: 20px;
    }
}
/*================ radio end ================*/

/*================ checkbox ================*/
#form .wpcf7-checkbox{
    display: flex;
    gap: 10px;
}
#form .wpcf7-checkbox .wpcf7-list-item,
#form .wpcf7-checkbox .wpcf7-list-item label{
    margin: 0;
}
#form .wpcf7-checkbox .wpcf7-list-item label{
    display: flex;
    align-items: center;
    gap: 0 5px;
}
#form .wpcf7-checkbox input{
    margin: 0;
    appearance: none; /* ブラウザ独自の見た目をリセット */
    -webkit-appearance: none; /* Safari用 */
    -moz-appearance: none; /* Firefox用 */
    outline: unset;
    width: 20px;
    height: 20px;
    border: 1px solid var(--color-font);
    border-radius: 4px;
    cursor: pointer;
    vertical-align: middle;
    transition: background-color 0.3s, border-color 0.3s;
}
#form .wpcf7-checkbox input:checked {
    background: url(../1_img/base/icon-check.svg) var(--color-main);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 80% auto;
}
/*================ checkbox end ================*/



/*================ select ================*/
.wpcf7-form-control-wrap:has(> .wpcf7-select){
    position: relative;
}
.wpcf7-form-control-wrap:has(> .wpcf7-select)::after{
    content:"";
    width: 10px;
    aspect-ratio: 1 / 1;
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%) rotate(135deg);
    border-top: 2px solid var(--color-main);
    border-right: 2px solid var(--color-main);
}
#form .wpcf7-select{
    /* デフォルトの矢印を消す */
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    /* 見た目の調整 */
    padding-right: 50px; /* 矢印と文字が重ならないように右余白を確保 */
}
/*================ checkbox end ================*/

/*================ input[type="button"] ================*/
.button-wrap{
    margin-top: 50px;
    text-align: center;
    display: flex;
    justify-content: center;
    gap: 20px;
}
.button-wrap .confirm-button-wrap p{
    width: 320px;
    max-width: 100%;
    display: inline-block;
    text-align: center;
    background-color: var(--color-main);
    line-height: 1.6;
    border-radius: 8px;
    position: relative;
    transition: 500ms;
}
.button-wrap .confirm-button-wrap.back p{
    background-color: var(--color-accent);
}
.button-wrap .confirm-button-wrap p::after{
    content: "";
    width: 10px;
    height: 12px;
    position: absolute;
    top: 50%;
    right: 20px;
    background-color: #fff;
    transform: translateY(-50%);
    clip-path: polygon(0 0, 0% 100%, 100% 50%);
    transition: 500ms;
}
.button-wrap .confirm-button-wrap.back p::after{
    top: 50%;
    right: unset;
    left: 20px;
    clip-path: polygon(100% 0, 0 50%, 100% 100%);
}
.button-wrap .confirm-button-wrap p:hover{
	opacity: 0.6;
    color: #fff;
}
.button-wrap .confirm-button-wrap p input{
    width: 100%;
    padding: 15px 0 17px;
    display: block;
    border-radius: 8px;
    background: unset;
    border: unset;
    font-size: 1.4rem;
    font-weight: var(--weight-bold);
    color: #fff;
}
.wpcf7-spinner{
    display: none;
}
@media (min-width: 769px) {
    .button-wrap{
        margin-top: 100px;
    }
}
/*================ input[type="button"] end ================*/


/*================ エラーメッセージ ================*/
.wpcf7-not-valid-tip {
    display: none !important;
}
#form .confirm-error-message,
#form .error-message{
    margin-top: 5px;
    color: var(--color-red);
    font-weight: var(--weight-bold);
}
/*================ エラーメッセージ end ================*/



/*==============================================================================

	確認画面

==============================================================================*/
.confirm_area span[class^="confirm_form_"] {
    font-size: 1.6rem;
    font-weight: var(--weight-medium);
}


/*==============================================================================

	完了画面

==============================================================================*/
.thanks_area .thanks-text {
    margin-top: 30px;
    font-size: 1.8rem;
    text-align: center;
    font-weight: var(--weight-regular);
}
@media (min-width: 769px) {
    .thanks_area .thanks-text {
        margin-top: 100px;
        font-size: 2rem;
    }
}



/*==============================================================================

	グランセル用CSS

==============================================================================*/
#form .num-wrap{
    & .wpcf7-form-control-wrap{
        display: inline-block;
    }
    & input[type="number"]{
        margin: 0 5px;
        width: 7em!important;
        display: inline-block;
    }
}

#form .option-note{
    padding: 15px;
    border: 1px dashed rgb(var(--color-font_rgb) / 0.2);

    & dl{
        & + dl{
            margin-top: 15px;
        }
    }
}
/* 食事メニュー */
.menu_wrap{
    display: flex;
    flex-direction: column;
    gap: 10px;

    & .menu-item{
        display: flex;
        align-items: center;
        justify-content: space-between;

        & .menu_title{
            font-size: 1.4rem;
        }
    }
}
@media (min-width: 769px) {
    .menu_wrap{
        flex-wrap: wrap;
        flex-direction: row;
        gap: 20px 50px;

        & .menu-item{
            width: calc( (100% - 50px) / 2 );
        }
    }
}